#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 http-client-restricted
version:              0.0.3
visibility:           public
id:                   http-client-restricted-0.0.3-6xw90gmySWkFI1niNGx0Or
key:                  http-client-restricted-0.0.3-6xw90gmySWkFI1niNGx0Or
license:              MIT
copyright:            2018 Joey Hess, 2013 Michael Snoyman
maintainer:           Joey Hess <id@joeyh.name>
author:               Joey Hess
synopsis:             restricting the servers that http-client will use
description:
    Addition to the http-client and http-client-tls
    libraries, that restricts the HTTP servers that can be used.

    This is useful when a security policy needs to eg, prevent connections to
    HTTP servers on localhost or a local network, or only allow connections
    to a specific HTTP server.

    It handles restricting redirects as well as the initial HTTP connection,
    and it also guards against DNS poisoning attacks.

category:             Network
abi:                  309e3f1eea60755b73ddb65b062afbf2
exposed:              True
exposed-modules:      Network.HTTP.Client.Restricted
import-dirs:          /usr/lib/ghc-8.10.1/site-local/http-client-restricted-0.0.3
library-dirs:         /usr/lib/ghc-8.10.1/site-local/http-client-restricted-0.0.3
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.1/http-client-restricted-0.0.3

hs-libraries:         HShttp-client-restricted-0.0.3-6xw90gmySWkFI1niNGx0Or
depends:
    base-4.14.0.0 connection-0.3.1-EvgweH3PAqv8VVMC9qupU4
    data-default-0.7.1.1-I5ttmgUOL407qEVhfvYDbu
    http-client-0.7.1-3IoUFUsyx9ZEJPUZvr3Vda
    http-client-tls-0.3.5.3-97rCTMFGz78Cux9xVxI1PF
    network-3.1.1.1-21cfXONzmdN6SdhuDmk3jf
    network-bsd-2.8.1.0-LW0btMZmSB9IBMSOak1kd
    utf8-string-1.0.1.1-L5P9SR8YxIu1NqwMrJwV7a

haddock-interfaces:
    /usr/share/doc/haskell-http-client-restricted/html/http-client-restricted.haddock

haddock-html:         /usr/share/doc/haskell-http-client-restricted/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

